/*------------------------------------------------------------------------
  File: sp/conversion/12.02/pa-1202-after-01-pa-call_category.p
  Doel: Vullen uniek seqnr voor de call-categories.
        in 12.03 moet nog de index gewijzigd worden hiervoor!
------------------------------------------------------------------------*/

DEF VAR iTeller AS INTEGER NO-UNDO.

DEFINE BUFFER b-pa-call_category FOR pa-call_category.
DEFINE BUFFER b-pa-call FOR pa-call.

iTeller = 1.

FOR EACH b-pa-call_category EXCLUSIVE-LOCK:
  ASSIGN b-pa-call_category.category_seqnr = iTeller.

  FOR EACH b-pa-call WHERE 
           b-pa-call.companycode = "SOFT" AND 
           b-pa-call.category_des = b-pa-call_category.category_des
           EXCLUSIVE-LOCK:
    ASSIGN b-pa-call.category_seqnr = iTeller
           b-pa-call.category_des = "".
  END.

  iTeller = iTeller + 1.
  
END.
